function [DTB1,DTB2,DTB3,DTB4,DTB5,DTB6]=wdtb(W1,W2,W3,W4,W5,W10,dtb)
% w1 加权两省之间的贸易壁垒    i省份与j省份s部门贸易额/i省份与j省份总国内贸易额
% w2 加权全国各部门的贸易壁垒  i省份与j省份s部门贸易额/s部门总国内贸易额
% w3 加权各省的贸易壁垒       i省份与j省份贸易额/i省份总国内贸易额
% w4 加权全国的贸易壁垒——地区视角 i省份总贸易额/全国总国内贸易额
% w5 加权全国的贸易壁垒——部门视角 s部门总贸易额/全国总国内贸易额
%% 省份层面壁垒
% i省和j省之间的加权贸易壁垒
U = dtb.*W1;
U1 = sum(U(:,:),2);     %双边贸易壁垒900*1
% 双边贸易壁垒
DTB1=zeros(30,30);
for i=1:1:30
    DTB1(:,i)=U1(1+(i-1)*30:i*30,:); % 双边贸易壁垒
end
% 各省加权贸易壁垒
U2 = DTB1.*W3;
DTB2 = sum(U2(:,:),2); 
%% 部门层面壁垒
%s部门贸易壁垒
V = dtb.*W2;
DTB3 = sum(V(:,:),1); 
%% 省份部门层面壁垒
DTB6 = zeros(30,17);
PSW = dtb.*W10;
for i=1:1:30
    PSW1 = PSW(1+(i-1)*30:i*30,:);
    DTB6(i,:)=sum(PSW1(:,:),1);
end
%% 全国贸易壁垒
U4 = DTB2.*W4;
DTB4 = sum(U4);  %地区层面全国贸易壁垒

V1 = DTB3.*W5;
DTB5 = sum(V1);  %部门层面全国贸易壁垒
end